QGIS Application - Bug report #12301
Identify tool and highlighting behaviour
2015-03-03 12:04 AM - Mart Reinola

Status: Closed

Priority: Normal

Assignee:

Category: Map Canvas

Affected QGIS version:2.8.1 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 20479
Description

In Qgis <2.6 when you clicked on object after object with the info tool, only the last object clicked was highlighted, highlighting on the
previous object was turned off (with the auto-open feature attributes form option turned on). In Qgis 2.6 and 2.8, the highlight stays on.

History

#1 - 2015-03-03 01:58 AM - Giovanni Manghi
- Category set to Map Canvas
- Status changed from Open to Feedback

are you sure that you don't have any feature form dialog open? this is usually the source of this "issue".

#2 - 2015-03-03 03:04 AM - Mart Reinola

I'm sure that i do have the feature dialogs open, and that when i close the dialogs, the highlighting goes off. Yet, in previous versions it didn't matter, only
the last object clicked was highlighted.

#3 - 2015-03-03 03:17 AM - Giovanni Manghi

Mart Reinola wrote:

I'm sure that i do have the feature dialogs open, and that when i close the dialogs, the highlighting goes off. Yet, in previous versions it didn't matter,
only the last object clicked was highlighted.

sorry I'm not sure | understand: if you close the identify/form feature dialog, and the highlighting goes away, where is the issue?
The behavior changed from previous qgis releases, but this is known and was by design.

#4 - 2015-03-03 03:36 AM - Mart Reinola

Before i didnt have to close dialogs, now i do. That means extra clicks. So, in that aspect, the new version is not an improvement.
But, then again, as i understand its by design and ment to work like that, so its not a bug.

#5 - 2015-05-22 04:34 AM - Giovanni Manghi

- Resolution set to invalid
- Status changed from Feedback to Closed

Mart Reinola wrote:

Before i didnt have to close dialogs, now i do. That means extra clicks. So, in that aspect, the new version is not an improvement.

But, then again, as i understand its by design and ment to work like that, so its not a bug.

| see your point, but is really by design.
